class DustinAI extends AIInfo 
{
  function GetAuthor()      { return "Dustin"; }
  function GetName()        { return "DustinAI"; }
  function GetDescription() { return "Dustin's freight train AI"; }
  function GetVersion()     { return 1; }
  function GetDate()        { return "2009-05-28"; }
  function CreateInstance() { return "DustinAI"; }
  function GetShortName()   { return "DUST"; }
  
  function GetSettings() 
  {
		AddSetting({name = "display_thinking", description = "Display signs showing what the pathfinder is thinking", easy_value = 0, medium_value = 0, hard_value = 0, custom_value = 0, flags = 0, min_value = 0, max_value = 1});
    AddSetting({name = "bridge_max_len", description = "Max Bridge Length", easy_value = 50, medium_value = 40, hard_value = 30, custom_value = 30, flags = 0, min_value = 1, max_value = 100});	
    AddSetting({name = "ant_max_len", description = "Max Ant Pathfinder Attempt Length", easy_value = 30, medium_value = 20, hard_value = 10, custom_value = 20, flags = 0, min_value = 1, max_value = 100});	
	}
}
RegisterAI(DustinAI());
